MONGOC_CURSOR_IS_ALIVE(3)

NAME
mongoc_cursor_is_alive - mongoc_cursor_is_alive()

SYNOPSIS

        bool
        mongoc_cursor_is_alive (const mongoc_cursor_t *cursor);

PARAMETERS

    •   cursor: A mongoc_cursor_t.

DESCRIPTION

Checks to see if a cursor is in a state that allows contacting a server to check for more documents. Note that even if false, there may be documents already retrieved that can be iterated using mongoc_cursor_next().

This is primarily useful with tailable cursors.

See also mongoc_cursor_more().

RETURNS

true if the cursor will be able to attempt to retrieve more results from a server.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc